"use strict";

exports.__esModule = true;
exports.SYNC_RENDER = exports.NO_RENDER = exports.IS_NON_DIMENSIONAL = exports.FORCE_RENDER = exports.ATTR_KEY = exports.ASYNC_RENDER = void 0;
// render modes

var NO_RENDER = 0;
exports.NO_RENDER = NO_RENDER;
var SYNC_RENDER = 1;
exports.SYNC_RENDER = SYNC_RENDER;
var FORCE_RENDER = 2;
exports.FORCE_RENDER = FORCE_RENDER;
var ASYNC_RENDER = 3;
exports.ASYNC_RENDER = ASYNC_RENDER;
var ATTR_KEY = '__preactattr_';

// DOM properties that should NOT have "px" added when numeric
exports.ATTR_KEY = ATTR_KEY;
var IS_NON_DIMENSIONAL = /acit|ex(?:s|g|n|p|$)|rph|ows|mnc|ntw|ine[ch]|zoo|^ord/i;
exports.IS_NON_DIMENSIONAL = IS_NON_DIMENSIONAL;